<< Sobel | Image filtering | boxFilter >>

scicv >> Image filtering > blur

# blur

Blurs an image

### Syntax

    img_out = blur(img_in, ksize[, anchor[, borderType]])

### Parameters

img_in

  Input image (Mat).

ksize

  Kernel size (double 1x2 matrix).

anchor

  Position of the anchor in the element (double 1x2 matrix) (default the anchor is at the element center).

borderType

  Pixel extrapolation method (double) (default `BORDER_DEFAULT`).

img_out

  Output image (Mat).

### Description

`blur` is the equivalent of boxFilter with a normalized kernel.

### Examples

    scicv_Init();

    img = imread(getSampleImage("lena.jpg"));

    img_blur = blur(img, [5, 5]);

    matplot(img_blur);

    delete_Mat(img);
    delete_Mat(img_blur);

### See also

- boxFilter

Report an issue
<< Sobel | Image filtering | boxFilter >>